Thread overview
/usr/bin/ld.gold: error: failed to find object -lz
Aug 06
Dukc
Aug 06
kinke
Aug 06
Dukc
Aug 07
?boing?
Aug 07
Dukc
Aug 07
Dukc
Aug 07
Dukc
5 days ago
Dukc
5 days ago
kinke
5 days ago
Dukc
August 06
I'm trying to port a Vibe.d server, that also uses secured, from Windows to Linux. With `dub build` the program seems to compile, but linking fails with error message of the theard header (may be a bit inaccurate, as it's just my translation to English). I used `dub build --arch=x86_64` at Windows. Verbose output of the invocation:

```
Using dub registry url 'https://code.dlang.org/'
Refreshing local packages (refresh existing: true)...
Looking for local package map at /var/lib/dub/packages/local-packages.json
Looking for local package map at /home/yleinen/.dub/packages/local-packages.json
Determined package version using GIT: hautakivipalvelin ~master
Refreshing local packages (refresh existing: false)...
Looking for local package map at /var/lib/dub/packages/local-packages.json
Looking for local package map at /home/yleinen/.dub/packages/local-packages.json
Refreshing local packages (refresh existing: false)...
Looking for local package map at /var/lib/dub/packages/local-packages.json
Looking for local package map at /home/yleinen/.dub/packages/local-packages.json
  Found dependency vibe-d 0.8.5
    Found dependency vibe-d:stream 0.8.5
      Found dependency vibe-d:core 0.8.5
        Found dependency vibe-d:data 0.8.5
          Found dependency vibe-d:utils 0.8.5
            Found dependency stdx-allocator 2.77.5
        Found dependency vibe-core 1.6.2
          Found dependency eventcore 0.8.42
            Found dependency taggedalgebraic 0.11.4
            Found dependency libasync 0.8.4
              Found dependency memutils 0.4.13
        Found dependency libevent 2.0.2+2.0.16
    Found dependency vibe-d:web 0.8.5
      Found dependency vibe-d:http 0.8.5
        Found dependency vibe-d:inet 0.8.5
          Found dependency vibe-d:textfilter 0.8.5
        Found dependency vibe-d:tls 0.8.5
          Found dependency openssl 1.1.6+1.0.1g
          Found dependency botan 1.12.10
            Found dependency botan-math 1.0.3
        Found dependency vibe-d:crypto 0.8.5
          Found dependency mir-linux-kernel 1.0.1
        Found dependency diet-ng 1.5.0
    Found dependency vibe-d:mail 0.8.5
    Found dependency vibe-d:redis 0.8.5
    Found dependency vibe-d:mongodb 0.8.5
  Found dependency secured 2.0.1
Refreshing local packages (refresh existing: false)...
Looking for local package map at /var/lib/dub/packages/local-packages.json
Looking for local package map at /home/yleinen/.dub/packages/local-packages.json
  Found dependency vibe-d 0.8.5
    Found dependency vibe-d:stream 0.8.5
      Found dependency vibe-d:core 0.8.5
        Found dependency vibe-d:data 0.8.5
          Found dependency vibe-d:utils 0.8.5
            Found dependency stdx-allocator 2.77.5
        Found dependency vibe-core 1.6.2
          Found dependency eventcore 0.8.42
            Found dependency taggedalgebraic 0.11.4
            Found dependency libasync 0.8.4
              Found dependency memutils 0.4.13
        Found dependency libevent 2.0.2+2.0.16
    Found dependency vibe-d:web 0.8.5
      Found dependency vibe-d:http 0.8.5
        Found dependency vibe-d:inet 0.8.5
          Found dependency vibe-d:textfilter 0.8.5
        Found dependency vibe-d:tls 0.8.5
          Found dependency openssl 1.1.6+1.0.1g
          Found dependency botan 1.12.10
            Found dependency botan-math 1.0.3
        Found dependency vibe-d:crypto 0.8.5
          Found dependency mir-linux-kernel 1.0.1
        Found dependency diet-ng 1.5.0
    Found dependency vibe-d:mail 0.8.5
    Found dependency vibe-d:redis 0.8.5
    Found dependency vibe-d:mongodb 0.8.5
  Found dependency secured 2.0.1
Generating using build
Running pre-generate commands for vibe-d:tls...
Running rdmd --eval='
	auto dir = environment.get("DUB_PACKAGE_DIR");
	if (dir.buildPath("tls").exists)  {
		dir = dir.buildPath("tls");
	}
	auto opensslVersion = "0.0.0";
	try {
		const res = execute(["openssl", "version"]).output;
		if (res.canFind("OpenSSL ")) {
			opensslVersion = res.splitter(" ").dropOne.front.filter!(not!(std.uni.isAlpha)).text;
		}
	} catch (Exception e) { writeln("Warning: ", e); }
	auto data = text("module openssl_version;\nenum OPENSSL_VERSION=\"", opensslVersion, "\";");
	auto output = dir.buildPath("openssl_version.d");
	if (!output.exists || output.readText.strip != data.strip)
		data.toFile(output);
	' || true
Configuring dependent hautakivipalvelin:kasittelija, deps:"secured", "vibe-d"
  Configuring dependent secured, deps:
  Configuring dependent vibe-d, deps:"vibe-core", "vibe-d:data", "vibe-d:utils", "vibe-d:crypto", "vibe-d:data", "vibe-d:http", "vibe-d:inet", "vibe-d:mail", "vibe-d:mongodb", "vibe-d:redis", "vibe-d:stream", "vibe-d:textfilter", "vibe-d:tls", "vibe-d:utils", "vibe-d:web"
    Configuring dependent vibe-core, deps:"eventcore", "stdx-allocator"
      Configuring dependent eventcore, deps:"taggedalgebraic"
        Configuring dependent taggedalgebraic, deps:
      Configuring dependent stdx-allocator, deps:
    Configuring dependent vibe-d:data, deps:"vibe-d:utils"
      Configuring dependent vibe-d:utils, deps:"stdx-allocator"
    Configuring dependent vibe-d:crypto, deps:"mir-linux-kernel", "vibe-core", "vibe-d:data", "vibe-d:utils"
      Configuring dependent mir-linux-kernel, deps:
    Configuring dependent vibe-d:http, deps:"diet-ng", "vibe-d:crypto", "vibe-d:inet", "vibe-d:textfilter", "vibe-d:tls"
      Configuring dependent diet-ng, deps:
      Configuring dependent vibe-d:inet, deps:"vibe-core", "vibe-d:data", "vibe-d:utils", "vibe-d:stream", "vibe-d:textfilter"
        Configuring dependent vibe-d:stream, deps:"vibe-core", "vibe-d:data", "vibe-d:utils"
        Configuring dependent vibe-d:textfilter, deps:"vibe-core", "vibe-d:data", "vibe-d:utils"
      Configuring dependent vibe-d:tls, deps:"vibe-d:stream"
    Configuring dependent vibe-d:mail, deps:"vibe-d:inet", "vibe-d:tls"
    Configuring dependent vibe-d:mongodb, deps:"vibe-d:http"
    Configuring dependent vibe-d:redis, deps:"vibe-d:http"
    Configuring dependent vibe-d:web, deps:"vibe-d:http"
Performing "debug" build using /home/yleinen/bin/ldc2 for x86_64.
secured 2.0.1: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/secured-2.0.1/secured/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-44D5C4EBB7D153DE9FC1ACA05569B330/.
Copying target from /home/yleinen/.dub/packages/secured-2.0.1/secured/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-44D5C4EBB7D153DE9FC1ACA05569B330/libsecured.a to /home/yleinen/.dub/packages/secured-2.0.1/secured/bin/
taggedalgebraic 0.11.4: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/taggedalgebraic-0.11.4/taggedalgebraic/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-D35142709DB77203A4DCD72FCC59A892/.
Copying target from /home/yleinen/.dub/packages/taggedalgebraic-0.11.4/taggedalgebraic/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-D35142709DB77203A4DCD72FCC59A892/libtaggedalgebraic.a to /home/yleinen/.dub/packages/taggedalgebraic-0.11.4/taggedalgebraic
eventcore 0.8.42: target for configuration "epoll" is up to date.
Using existing build in /home/yleinen/.dub/packages/eventcore-0.8.42/eventcore/.dub/build/epoll-debug-linux.posix-x86_64-ldc_2085-90D91F294C9A8C4FB87BD70BACBC2FF4/.
Copying target from /home/yleinen/.dub/packages/eventcore-0.8.42/eventcore/.dub/build/epoll-debug-linux.posix-x86_64-ldc_2085-90D91F294C9A8C4FB87BD70BACBC2FF4/libeventcore.a to /home/yleinen/.dub/packages/eventcore-0.8.42/eventcore
stdx-allocator 2.77.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/stdx-allocator-2.77.5/stdx-allocator/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-89CBC167C51B8933AFD1CBDE321703F2/.
Copying target from /home/yleinen/.dub/packages/stdx-allocator-2.77.5/stdx-allocator/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-89CBC167C51B8933AFD1CBDE321703F2/libstdx-allocator.a to /home/yleinen/.dub/packages/stdx-allocator-2.77.5/stdx-allocator
vibe-core 1.6.2: target for configuration "epoll" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-core-1.6.2/vibe-core/.dub/build/epoll-debug-linux.posix-x86_64-ldc_2085-80BF2ED8885D78504A5A96F3F4828422/.
Copying target from /home/yleinen/.dub/packages/vibe-core-1.6.2/vibe-core/.dub/build/epoll-debug-linux.posix-x86_64-ldc_2085-80BF2ED8885D78504A5A96F3F4828422/libvibe_core.a to /home/yleinen/.dub/packages/vibe-core-1.6.2/vibe-core
vibe-d:utils 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/utils/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-0DC1128629E96A37390E91B1E39B8665/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/utils/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-0DC1128629E96A37390E91B1E39B8665/libvibe-d_utils.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/utils
vibe-d:data 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/data/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-B632C676DF06800336EA392907CC0106/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/data/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-B632C676DF06800336EA392907CC0106/libvibe-d_data.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/data
mir-linux-kernel 1.0.1: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/mir-linux-kernel-1.0.1/mir-linux-kernel/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-0F08D5E35102FEBB24FCF77AA462BB90/.
Copying target from /home/yleinen/.dub/packages/mir-linux-kernel-1.0.1/mir-linux-kernel/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-0F08D5E35102FEBB24FCF77AA462BB90/libmir-linux-kernel.a to /home/yleinen/.dub/packages/mir-linux-kernel-1.0.1/mir-linux-kernel
vibe-d:crypto 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/crypto/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-A53CAF2D8E1CD151EC39487638C59B43/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/crypto/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-A53CAF2D8E1CD151EC39487638C59B43/libvibe-d_crypto.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/crypto
diet-ng 1.5.0: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/diet-ng-1.5.0/diet-ng/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-B6A09B37DA3F63401CDE5D1F65559C8A/.
Copying target from /home/yleinen/.dub/packages/diet-ng-1.5.0/diet-ng/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-B6A09B37DA3F63401CDE5D1F65559C8A/libdiet-ng.a to /home/yleinen/.dub/packages/diet-ng-1.5.0/diet-ng
vibe-d:stream 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/stream/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-C27125A9903B0029C571EBF0E85FD020/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/stream/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-C27125A9903B0029C571EBF0E85FD020/libvibe-d_stream.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/stream
vibe-d:textfilter 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/textfilter/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-3FFAE4AB350C8F2D81E8B5C56A559432/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/textfilter/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-3FFAE4AB350C8F2D81E8B5C56A559432/libvibe-d_textfilter.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/textfilter
vibe-d:inet 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/inet/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-42EDD7EEB00CA5377CF396404221061E/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/inet/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-42EDD7EEB00CA5377CF396404221061E/libvibe-d_inet.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/inet
vibe-d:tls 0.8.5: target for configuration "openssl" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/tls/.dub/build/openssl-debug-linux.posix-x86_64-ldc_2085-AC30B7EF74CB50731045F79280E18160/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/tls/.dub/build/openssl-debug-linux.posix-x86_64-ldc_2085-AC30B7EF74CB50731045F79280E18160/libvibe-d_tls.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/tls
vibe-d:http 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/http/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-03556B72E4D46B14E978F508548B585D/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/http/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-03556B72E4D46B14E978F508548B585D/libvibe-d_http.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/http
vibe-d:mail 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/mail/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-C29CB46034FDF5340BB75DA756B84ED1/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/mail/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-C29CB46034FDF5340BB75DA756B84ED1/libvibe-d_mail.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/mail
vibe-d:mongodb 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/mongodb/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-473B8941E411EA3D7549869F9ED4B475/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/mongodb/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-473B8941E411EA3D7549869F9ED4B475/libvibe-d_mongodb.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/mongodb
vibe-d:redis 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/redis/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-A81472AD32085CFE8F68E622E101755B/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/redis/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-A81472AD32085CFE8F68E622E101755B/libvibe-d_redis.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/redis
vibe-d:web 0.8.5: target for configuration "library" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/web/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-2C7675F498F51DBE702270567856B585/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/web/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-2C7675F498F51DBE702270567856B585/libvibe-d_web.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/web
vibe-d 0.8.5: target for configuration "vibe-core" is up to date.
Using existing build in /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/.dub/build/vibe-core-debug-linux.posix-x86_64-ldc_2085-2642E96DD2FB9DD574F10A9C7BB28A89/.
Copying target from /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d/.dub/build/vibe-core-debug-linux.posix-x86_64-ldc_2085-2642E96DD2FB9DD574F10A9C7BB28A89/libvibed.a to /home/yleinen/.dub/packages/vibe-d-0.8.5/vibe-d
Target '/home/yleinen/Ohjelmat/HautakiviPalvelin/.dub/build/application-debug-linux.posix-x86_64-ldc_2085-00EBB00F3CDAE940BAF25A0D91F6BCC4/hautakivipalvelin' doesn't exist, need rebuild.
hautakivipalvelin:kasittelija ~master: building configuration "application"...
Using pkg-config to resolve library flags for libcrypto, libssl.
Using direct -l... flags for z, resolv.
/home/yleinen/bin/ldc2 -of.dub/build/application-debug-linux.posix-x86_64-ldc_2085-00EBB00F3CDAE940BAF25A0D91F6BCC4/hautakivipalvelin -d-debug -g -w -oq -od=.dub/obj -d-version=VibeDefaultMain -d-version=Worker -d-version=Have_hautakivipalvelin_kasittelija -d-version=Have_secured -d-version=Have_vibe_d -d-version=Have_openssl -d-version=Have_vibe_d_core -d-version=Have_vibe_core -d-version=Have_vibe_d_data -d-version=Have_vibe_d_utils -d-version=Have_vibe_d_crypto -d-version=Have_vibe_d_data -d-version=Have_vibe_d_http -d-version=Have_vibe_d_inet -d-version=Have_vibe_d_mail -d-version=Have_vibe_d_mongodb -d-version=Have_vibe_d_redis -d-version=Have_vibe_d_stream -d-version=Have_vibe_d_textfilter -d-version=Have_vibe_d_tls -d-version=Have_vibe_d_utils -d-version=Have_vibe_d_web -d-version=Have_eventcore -d-version=Have_stdx_allocator -d-version=EventcoreEpollDriver -d-version=Have_taggedalgebraic -d-version=Have_mir_linux_kernel -d-version=Have_diet_ng -Isource/ -I../../.dub/packages/secured-2.0.1/secured/source/ -I../../.dub/packages/openssl-1.1.6_1.0.1g/openssl -I../../.dub/packages/vibe-d-0.8.5/vibe-d/source/ -I../../.dub/packages/vibe-core-1.6.2/vibe-core/source/ -I../../.dub/packages/eventcore-0.8.42/eventcore/source/ -I../../.dub/packages/taggedalgebraic-0.11.4/taggedalgebraic/source/ -I../../.dub/packages/stdx-allocator-2.77.5/stdx-allocator/source/ -I../../.dub/packages/vibe-d-0.8.5/vibe-d/data -I../../.dub/packages/vibe-d-0.8.5/vibe-d/utils -I../../.dub/packages/vibe-d-0.8.5/vibe-d/crypto -I../../.dub/packages/mir-linux-kernel-1.0.1/mir-linux-kernel/source/ -I../../.dub/packages/vibe-d-0.8.5/vibe-d/http -I../../.dub/packages/diet-ng-1.5.0/diet-ng/source/ -I../../.dub/packages/vibe-d-0.8.5/vibe-d/inet -I../../.dub/packages/vibe-d-0.8.5/vibe-d/stream -I../../.dub/packages/vibe-d-0.8.5/vibe-d/textfilter -I../../.dub/packages/vibe-d-0.8.5/vibe-d/tls -I../../.dub/packages/vibe-d-0.8.5/vibe-d/mail -I../../.dub/packages/vibe-d-0.8.5/vibe-d/mongodb -I../../.dub/packages/vibe-d-0.8.5/vibe-d/redis -I../../.dub/packages/vibe-d-0.8.5/vibe-d/web -Jviews source/app.d ../../.dub/packages/vibe-core-1.6.2/vibe-core/source/vibe/appmain.d ../../.dub/packages/secured-2.0.1/secured/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-44D5C4EBB7D153DE9FC1ACA05569B330/libsecured.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/.dub/build/vibe-core-debug-linux.posix-x86_64-ldc_2085-2642E96DD2FB9DD574F10A9C7BB28A89/libvibed.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/mail/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-C29CB46034FDF5340BB75DA756B84ED1/libvibe-d_mail.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/mongodb/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-473B8941E411EA3D7549869F9ED4B475/libvibe-d_mongodb.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/redis/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-A81472AD32085CFE8F68E622E101755B/libvibe-d_redis.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/web/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-2C7675F498F51DBE702270567856B585/libvibe-d_web.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/http/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-03556B72E4D46B14E978F508548B585D/libvibe-d_http.a ../../.dub/packages/diet-ng-1.5.0/diet-ng/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-B6A09B37DA3F63401CDE5D1F65559C8A/libdiet-ng.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/crypto/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-A53CAF2D8E1CD151EC39487638C59B43/libvibe-d_crypto.a ../../.dub/packages/mir-linux-kernel-1.0.1/mir-linux-kernel/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-0F08D5E35102FEBB24FCF77AA462BB90/libmir-linux-kernel.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/inet/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-42EDD7EEB00CA5377CF396404221061E/libvibe-d_inet.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/textfilter/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-3FFAE4AB350C8F2D81E8B5C56A559432/libvibe-d_textfilter.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/tls/.dub/build/openssl-debug-linux.posix-x86_64-ldc_2085-AC30B7EF74CB50731045F79280E18160/libvibe-d_tls.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/stream/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-C27125A9903B0029C571EBF0E85FD020/libvibe-d_stream.a ../../.dub/packages/vibe-core-1.6.2/vibe-core/.dub/build/epoll-debug-linux.posix-x86_64-ldc_2085-80BF2ED8885D78504A5A96F3F4828422/libvibe_core.a ../../.dub/packages/eventcore-0.8.42/eventcore/.dub/build/epoll-debug-linux.posix-x86_64-ldc_2085-90D91F294C9A8C4FB87BD70BACBC2FF4/libeventcore.a ../../.dub/packages/taggedalgebraic-0.11.4/taggedalgebraic/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-D35142709DB77203A4DCD72FCC59A892/libtaggedalgebraic.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/data/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-B632C676DF06800336EA392907CC0106/libvibe-d_data.a ../../.dub/packages/vibe-d-0.8.5/vibe-d/utils/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-0DC1128629E96A37390E91B1E39B8665/libvibe-d_utils.a ../../.dub/packages/stdx-allocator-2.77.5/stdx-allocator/.dub/build/library-debug-linux.posix-x86_64-ldc_2085-89CBC167C51B8933AFD1CBDE321703F2/libstdx-allocator.a -L=-L/usr/local/lib/ -L=-L/home/linuxbrew/.linuxbrew/Cellar/openssl/1.0.2s/lib -L=-lcrypto -L=-lssl -L=-lz -L=-lresolv -vcolumns
Compiling Diet HTML template passwordquery.dt...
/usr/bin/ld.gold: virhe: kohteen -lz löytäminen epäonnistui
collect2: error: ld returned 1 exit status
Error: /usr/bin/gcc failed with status: 1
FAIL .dub/build/application-debug-linux.posix-x86_64-ldc_2085-00EBB00F3CDAE940BAF25A0D91F6BCC4/ hautakivipalvelin executable
/home/yleinen/bin/ldc2 failed with exit code 1.
```

I did notice that according to the above, `-lz` argument apparently is due to an attempt by dub or ldc to pass `-z` to the linker, but I'm just not getting ideas of how to troubleshoot that further. Any ideas?
August 06
On Tuesday, 6 August 2019 at 11:25:29 UTC, Dukc wrote:
> I did notice that according to the above, `-lz` argument apparently is due to an attempt by dub or ldc to pass `-z` to the linker, but I'm just not getting ideas of how to troubleshoot that further. Any ideas?

LDC definitely doesn't add that. zlib shouldn't be necessary, as Phobos contains an (IIRC, outdated) version of it. Anyway, you should be able to please the linker by installing a zlib package, such as `zlib1g` on Debian/Ubuntu.
August 06
On Tuesday, 6 August 2019 at 11:41:25 UTC, kinke wrote:
>
> LDC definitely doesn't add that. zlib shouldn't be necessary, as Phobos contains an (IIRC, outdated) version of it. Anyway, you should be able to please the linker by installing a zlib package, such as `zlib1g` on Debian/Ubuntu.

Installed a Fedora version from http://rpmfind.net/linux/rpm2html/search.php?query=zlib (using OpenSUSE, which uses .rpm:s like Fedora). No effect.
August 07
On Tuesday, 6 August 2019 at 12:39:08 UTC, Dukc wrote:
> On Tuesday, 6 August 2019 at 11:41:25 UTC, kinke wrote:
>>
>> LDC definitely doesn't add that. zlib shouldn't be necessary, as Phobos contains an (IIRC, outdated) version of it. Anyway, you should be able to please the linker by installing a zlib package, such as `zlib1g` on Debian/Ubuntu.
>
> Installed a Fedora version from http://rpmfind.net/linux/rpm2html/search.php?query=zlib (using OpenSUSE, which uses .rpm:s like Fedora). No effect.

https://software.opensuse.org/package/zlib-devel-static
August 07
On Wednesday, 7 August 2019 at 02:47:11 UTC, ?boing? wrote:
> On Tuesday, 6 August 2019 at 12:39:08 UTC, Dukc wrote:
>> On Tuesday, 6 August 2019 at 11:41:25 UTC, kinke wrote:
>>>
>>> LDC definitely doesn't add that. zlib shouldn't be necessary, as Phobos contains an (IIRC, outdated) version of it. Anyway, you should be able to please the linker by installing a zlib package, such as `zlib1g` on Debian/Ubuntu.
>>
>> Installed a Fedora version from http://rpmfind.net/linux/rpm2html/search.php?query=zlib (using OpenSUSE, which uses .rpm:s like Fedora). No effect.
>
> https://software.opensuse.org/package/zlib-devel-static

An error when installing, apparently internal.

I doubt anyway if lack of zlib is the real cause, as the error message looks like it meant that it tries to look for "-lz" for linking it in the application.
August 07
On Wednesday, 7 August 2019 at 02:47:11 UTC, ?boing? wrote:
> On Tuesday, 6 August 2019 at 12:39:08 UTC, Dukc wrote:
>> On Tuesday, 6 August 2019 at 11:41:25 UTC, kinke wrote:
>>>
>>> LDC definitely doesn't add that. zlib shouldn't be necessary, as Phobos contains an (IIRC, outdated) version of it. Anyway, you should be able to please the linker by installing a zlib package, such as `zlib1g` on Debian/Ubuntu.
>>
>> Installed a Fedora version from http://rpmfind.net/linux/rpm2html/search.php?query=zlib (using OpenSUSE, which uses .rpm:s like Fedora). No effect.
>
> https://software.opensuse.org/package/zlib-devel-static

An error when installing, apparently internal.

I doubt anyway if lack of zlib is the real cause, as the error message looks like it meant that it tries to look for "-lz" for linking it in the application.
August 07
Taking the LDC2 invocation and removing `-lz` and `-lresolv` seems to work around the problem. A bad long-term solution though.

5 days ago
Investigated this matter further. The most likely reason seems to be that the required library -zlib- (Yes, ld.gold was getting the arguments in correct form despite what I said. Sorry.) is installed only in dynamic form (.so), but ld.gold finds only static libraries (.a). Not 100% sure yet, because it wasn't worth the time to convert the libraries/get the linker to work with dynlibs right now, but this seems to be the cause.


5 days ago
On Thursday, 15 August 2019 at 11:28:35 UTC, Dukc wrote:
> > https://software.opensuse.org/package/zlib-devel-static
> 
> An error when installing, apparently internal.

That's the library you need. You may have messed things up by installing a non-dev package from Fedora (!).
5 days ago
On Thursday, 15 August 2019 at 12:02:00 UTC, kinke wrote:
> That's the library you need. You may have messed things up by installing a non-dev package from Fedora (!).

Fortunately it's written in red at YAST, because it's not from the official repos. I can easily find it to get rid of it when I want.